﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Monitor : MonoBehaviour
{
	public MonitorDot MonitorDot;
	public AudioSource aS;

	// Use this for initialization
	void Start ()
	{
		StatusManager.Instance.Pulse += Pulse;
	}

	private void Pulse()
	{
		aS.Play();
	}

	public void OnTriggerStay2D(Collider2D collision)
	{
	 	 var col = collision.GetComponent<MonitorDot>();
	    try
	    {
            if (col.Handled)
            {
                return;
            }
		col.Handled = true;
        }
	    catch (Exception e)
	    {
	        Console.WriteLine(e);
	    }
		MonitorDot dot = Instantiate<MonitorDot>(MonitorDot, transform, false).GetComponent<MonitorDot>();
		dot.gameObject.layer = 9;
		var tTransform = dot.transform;
		tTransform.localPosition = new Vector2(-0.5f, collision.transform.localPosition.y);
		tTransform.localRotation = collision.transform.localRotation;

		dot.direction = col.direction;
	}
}
