﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TutorialScript : MonoBehaviour
{
	public LadderController FirstConsumerLadderRED;
	public LadderController FirstConsumerLadderBLUE;

	public PulsingSpotlight Spotlight;
	public StatusManager StatusManager;

	public GenericIObjectConsumer RedConsumer1;
	public GenericIObjectConsumer BlueConsumer1;
	public GenericIObjectConsumer RedConsumer2;
	public GenericIObjectConsumer BlueConsumer2;

	public GenericComplexIObject ComplexObject;

	public GameController GameController;

	public AudioSource AS;

	public UnityEngine.UI.Text KeepItAlive;

	// Use this for initialization
	void Start ()
	{
		
	}
	
	// Update is called once per frame
	void Update ()
	{
		if (!FirstConsumerLadderBLUE.gameObject.activeSelf && BlueConsumer1.Active())
		{
			FirstConsumerLadderBLUE.gameObject.SetActive(true);
		}
		if (!FirstConsumerLadderRED.gameObject.activeSelf && RedConsumer1.Active())
		{
			FirstConsumerLadderRED.gameObject.SetActive(true);
		}

		if(!ComplexObject.gameObject.activeSelf && RedConsumer2.Active() && BlueConsumer2.Active())
		{
			ComplexObject.gameObject.SetActive(true);
			StatusManager.AddMachine(ComplexObject);
		}

		if(StatusManager.Instance.CheckMachines() && !AS.gameObject.activeSelf)
		{
			AS.gameObject.SetActive(true);
			GameController.gameObject.SetActive(true);
			KeepItAlive.gameObject.SetActive(true);
			Spotlight.Revive();
		}
	}
}
